Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(63)

Issue 2102243002: [heap] Iterate handles with special left-trim visitor (Closed)

Created:
3 years, 2 months ago by Michael Lippautz
Modified:
3 years, 2 months ago
CC:
v8-reviews_googlegroups.com, Hannes Payer (out of office), ulan
Base URL:
https://chromium.googlesource.com/v8/v8.git@master
Target Ref:
refs/pending/heads/master
Project:
v8
Visibility:
Public.

Description

[heap] Iterate handles with special left-trim visitor BUG=chromium:620553 LOG=N R=hpayer@chromium.org Committed: https://crrev.com/a7159577b7d092ef6283c51f8bb2c456b0e23a38 Cr-Commit-Position: refs/heads/master@{#37366}

Patch Set 1 #

Total comments: 2

Patch Set 2 : Addressed comment #

Unified diffs Side-by-side diffs Delta from patch set Stats (+45 lines, -35 lines) Patch
M src/heap/heap.h View 1 chunk +0 lines, -6 lines 0 comments Download
M src/heap/heap.cc View 1 2 chunks +45 lines, -0 lines 0 comments Download
M src/heap/heap-inl.h View 1 chunk +0 lines, -25 lines 0 comments Download
M src/heap/mark-compact.cc View 1 chunk +0 lines, -2 lines 0 comments Download
M src/heap/scavenger.cc View 1 chunk +0 lines, -2 lines 0 comments Download

Messages

Total messages: 18 (9 generated)
Hannes Payer (out of office)
https://codereview.chromium.org/2102243002/diff/1/src/heap/heap.cc File src/heap/heap.cc (right): https://codereview.chromium.org/2102243002/diff/1/src/heap/heap.cc#newcode4777 src/heap/heap.cc:4777: if (current->IsFiller()) { I think we have to check ...
3 years, 2 months ago (2016-06-28 20:19:11 UTC) #3
Michael Lippautz
https://codereview.chromium.org/2102243002/diff/1/src/heap/heap.cc File src/heap/heap.cc (right): https://codereview.chromium.org/2102243002/diff/1/src/heap/heap.cc#newcode4777 src/heap/heap.cc:4777: if (current->IsFiller()) { On 2016/06/28 20:19:11, Hannes Payer (slow) ...
3 years, 2 months ago (2016-06-29 06:03:58 UTC) #5
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2102243002/20001
3 years, 2 months ago (2016-06-29 06:04:11 UTC) #7
ulan
lgtm
3 years, 2 months ago (2016-06-29 06:30:40 UTC) #9
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
3 years, 2 months ago (2016-06-29 06:33:52 UTC) #11
Hannes Payer (out of office)
lgtm
3 years, 2 months ago (2016-06-29 07:47:44 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2102243002/20001
3 years, 2 months ago (2016-06-29 07:53:47 UTC) #14
commit-bot: I haz the power
Committed patchset #2 (id:20001)
3 years, 2 months ago (2016-06-29 08:16:15 UTC) #16
commit-bot: I haz the power
3 years, 2 months ago (2016-06-29 08:18:34 UTC) #18
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/a7159577b7d092ef6283c51f8bb2c456b0e23a38
Cr-Commit-Position: refs/heads/master@{#37366}

Powered by Google App Engine
This is Rietveld 408576698